Skip to main content
`Ctrl`+`K`

# PetscLayoutDuplicate

creates a new `PetscLayout` with the same information as a given one. If the `PetscLayout` already exists it is destroyed first.

## Synopsis

    #include "petscis.h"
    PetscErrorCode PetscLayoutDuplicate(PetscLayout in, PetscLayout *out)

Collective

## Input Parameter

- in - input `PetscLayout` to be duplicated

## Output Parameter

- out - the copy

## Note

`PetscLayoutSetUp()` does not need to be called on the resulting `PetscLayout`

## See Also

PetscLayout, `PetscLayoutCreate()`, `PetscLayoutDestroy()`, `PetscLayoutSetUp()`, `PetscLayoutReference()`

## Level

developer

## Location

src/vec/is/utils/pmap.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages